package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaMainUsherRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
@Mapper
public interface TaMainUsherRecordMapper extends BaseMapper<TaMainUsherRecord> {
    Map<String,Object> getSummaryOfCustomer(@Param("customerId") Integer customerId);

    /**
     * 分页查询大厅人员记录
     * @param pg
     * @return
     */
    IPage<TaMainUsherRecord> aMainUsherRecordList(IPage<TaMainUsherRecord> pg);

    List<TaMainUsherRecord> getLastList(@Param("personId") Integer personId, @Param("dt") LocalDateTime dt);
    IPage<TaMainUsherRecord> taMainUsherRecordList(IPage<TaMainUsherRecord> pg,@Param("phone")String phone,@Param("platNumber")String platNumber,@Param("personName")String personName,@Param("appointment")Integer appointment);
}
